Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.SnappedPoint Class Reference
Inheritance diagram for foxit.pdf.SnappedPoint:

## Public Types
enum | SnappedPointType { SnappedPointType.e_TypeNone = 0, SnappedPointType.e_TypeEndpoint = 1, SnappedPointType.e_TypeMidpoint = 2, SnappedPointType.e_TypeIntersectionPoint = 3, SnappedPointType.e_TypeNearestPoint = 4 }
| Enumeration for snapped point type. More...

## Public Member Functions
| SnappedPoint (SnappedPoint other)
| Constructor, with another snapped point object. More...
PointF | GetPoint ()
| Get the point value. More...
SnappedPoint.SnappedPointType | GetType ()
| Get the snapped point type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents information of a snapped point, which is snapped with specified snapping flags by class SnapPointMgr .

See also
  SnapPointMgr .

## Member Enumeration Documentation

## ◆ SnappedPointType

enum foxit.pdf.SnappedPoint.SnappedPointType
| strong

Enumeration for snapped point type.

Values of this enumeration should be used alone.

Enumerator
e_TypeNone | This means the snapped point is invalid.
e_TypeEndpoint | Snapped point type: endpoint, which means the snapped point is an endpoint of a path.
e_TypeMidpoint | Snapped point type: midpoint, which means the snapped point is the midpoint for two endpoints of a path.
e_TypeIntersectionPoint | Snapped point type: intersection point, which means the snapped point is the intersection of two intersecting paths.
e_TypeNearestPoint | Snapped point type: nearest point, which means the snapped point is the nearest point (which is in a path) to the specified point.

## Constructor & Destructor Documentation

## ◆ SnappedPoint()

foxit.pdf.SnappedPoint.SnappedPoint | ( | SnappedPoint | other | ) |
| inline

Constructor, with another snapped point object.

Parameters

  [in] | other | Another snapped point object.

## Member Function Documentation

## ◆ GetPoint()

PointF foxit.pdf.SnappedPoint.GetPoint | ( |  | ) |
| inline

Get the point value.

Point value represents a point in a path.

Returns
  Snapped point value.

## ◆ GetType()

SnappedPoint.SnappedPointType foxit.pdf.SnappedPoint.GetType | ( |  | ) |
| inline

Get the snapped point type.

Returns
  Snapped point type. Please refer to values starting from foxit.pdf.SnappedPoint.SnappedPointType.e_TypeNone and this would be one of these values.

## ◆ IsEmpty()

bool foxit.pdf.SnappedPoint.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.